# pluginmgr.h File Reference

`#include <ptlib/plugin.h>`

Go to the source code of this file.

## Classes

class | PPluginSuffix
class | PPluginManager
class | PPluginModuleManager

## Defines

#define | PLUGIN_LOADER_STARTUP_NAME "PluginLoaderStartup"

## Functions

template<class C>
void | PLoadPluginDirectory (C &obj, const PDirectory &directory, const char *suffix=NULL)
| PFACTORY_LOAD (PluginLoaderStartup)

## Define Documentation

#define PLUGIN_LOADER_STARTUP_NAME "PluginLoaderStartup"

## Function Documentation

PFACTORY_LOAD | ( | PluginLoaderStartup |  | ) |

template<class C>

void PLoadPluginDirectory | ( | C & | obj,
|  | const PDirectory & | directory,
|  | const char * | suffix = `NULL` |
| ) |  |  |